ONVIF::Media::Types::OSDColor(3pm)

NAME
ONVIF::Media::Types::OSDColor

DESCRIPTION
Perl data type class for the XML Schema defined complexType OSDColor from the namespace http://www.onvif.org/ver10/schema.

The value range of "Transparent" could be defined by vendors only should follow this rule: the minimum value means non-transparent and the maximum value maens fully transparent.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Color

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::OSDColor
   Color => ,
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::Media::Types::OSDColor::_OSDColor::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   Transparent

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::int.

AUTHOR
Generated by SOAP::WSDL